For the complete documentation index, see llms.txt. This page is also available as Markdown.

Referral

Get information about all referrals

post

Get information about all referrals

Authorizations
AuthorizationstringRequired
Body
Responses
200

OK

application/json
avatarstringOptional
country_idintegerRequired
created_datestringRequired
idintegerRequired
owner_namestringRequired
owner_sub_typeintegerRequired
owner_typeintegerRequired
site_urlstringRequired
statusintegerOptional
today_amountnumberOptional
total_amountnumberOptional
post/api/referral
POST /api/referral HTTP/1.1
Host: api.client.nbcgate.tech/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 180

{
  "filters": {
    "amount": {
      "coin_id": 1,
      "currency_id": 1,
      "exclude": true,
      "max": 1,
      "min": 1,
      "token_id": 1
    },
    "owner_id": 1,
    "product": {
      "exclude": true,
      "id": [
        1
      ]
    },
    "status": {
      "exclude": true,
      "id": [
        1
      ]
    }
  }
}
[
  {
    "avatar": "text",
    "country_id": 1,
    "created_date": "text",
    "id": 1,
    "owner_name": "text",
    "owner_sub_type": 1,
    "owner_type": 1,
    "products": {
      "ANY_ADDITIONAL_PROPERTY": {
        "currency_amount": {
          "ANY_ADDITIONAL_PROPERTY": 1
        },
        "default_amount": 1,
        "id": 1,
        "name": "text"
      }
    },
    "site_url": "text",
    "status": 1,
    "today_amount": 1,
    "total_amount": 1
  }
]

Get information about a referral

get

Get information about a referral

Authorizations
AuthorizationstringRequired
Responses
200

OK

application/json
avatarstringOptional
countryIdintegerRequired
createdDatestringRequired
idintegerOptional
nameOwnerstringRequired
ownerSubTypeintegerRequired
ownerTypeintegerRequired
referral_program_level_idintegerOptional
siteUrlstringRequired
statusintegerOptional
get/api/referral/{id}
GET /api/referral/{id} HTTP/1.1
Host: api.client.nbcgate.tech/
Authorization: YOUR_API_KEY
Accept: */*
{
  "avatar": "text",
  "countryId": 1,
  "createdDate": "text",
  "id": 1,
  "nameOwner": "text",
  "ownerSubType": 1,
  "ownerType": 1,
  "referral_program_level_id": 1,
  "siteUrl": "text",
  "status": 1
}